--Vista in sostituzione della vContrattiPerGenerazioneReport in quanto deve girare nel periodo di competenza del trimestre precedente e
--la getTrimestre utilizzerebbe quello come trimestre e non quello successivo a cui si riferiscono le mail
CREATE VIEW [C6MartPeriodico].[vContrattiPerGenerazioneReportEmail]
AS
SELECT     C6.Rete, C6.Cod_Agente, C6.Cod_Fiscale, C6.CodiceContratto, C6.Freq_Monitor, C6.Freq_Diagnosi, 'T' AS TipoElaborazione, 
                      CASE WHEN DATEDIFF(DAY, Data_InizioBase, Data_Sott) > 0 THEN 1 ELSE 0 END AS AdesioneSuccessivaAvanzato, C6.InvioBenvenuto, 
                      C6.ClienteMigrato, C6.RisorseNA, C6.NumRevoche
FROM         C6Mart.CONTRATTOSEI AS C6 INNER JOIN
                      C6Mart.GESTIONE_PDF_FTP AS PDF ON C6.Rete = PDF.Rete AND C6.Cod_Fiscale = PDF.CodiceFiscale
WHERE     
	(1 = 1) AND 
	isnull(c6.data_fineavanzato,cast('99991231' as datetime)) > cast('20091231' as datetime) and
	pdf.dataGenerazione < cast('20091201' as datetime) and
	substring(pdf.nomeFile,0,12) = c6.codicecontratto